module KarrierWave
  class Configuration
    SANDBOX_HOST = 'http://sandbox-api1-kage.kakao.com'

    attr_accessor :http_proxy
    attr_accessor :host
    attr_accessor :download_host
    attr_accessor :disallow_animated_gif
    attr_accessor :ignore_dimensions

    def host
      @host || SANDBOX_HOST
    end

    def download_host
      @download_host || host
    end
  end
end
